export default {
  common: {
    home: 'Home',
    tools: 'Tools',
    categories: 'Categories',
    search: 'Search',
    clear: 'Clear',
    copy: 'Copy',
    copied: 'Copied',
    paste: 'Paste',
    save: 'Save',
    load: 'Load',
    download: 'Download',
    upload: 'Upload',
    format: 'Format',
    compress: 'Compress',
    expand: 'Expand',
    validate: 'Validate',
    convert: 'Convert',
    generate: 'Generate',
    example: 'Example',
    history: 'History',
    favorites: 'Favorites',
    settings: 'Settings',
    about: 'About',
    close: 'Close',
    cancel: 'Cancel',
    confirm: 'Confirm',
    delete: 'Delete',
    edit: 'Edit',
    back: 'Back',
    next: 'Next',
    previous: 'Previous',
    loading: 'Loading...',
    error: 'Error',
    success: 'Success',
    warning: 'Warning',
    info: 'Info',
    placeholder: 'Please enter content...',
    noData: 'No data',
    retry: 'Retry',
    refresh: 'Refresh',
    reset: 'Reset',
    submit: 'Submit'
  },
  categories: {
    all: 'All',
    common: 'Common',
    json: 'JSON',
    encoding: 'Encoding',
    network: 'Network',
    datetime: 'DateTime',
    code: 'Code',
    text: 'Text',
    image: 'Image',
    frontend: 'Frontend',
    file: 'File'
  },
  tools: {
    json_formatter: {
      title: 'JSON Formatter',
      description: 'JSON formatting, beautification, compression and validation tool',
      placeholder_input: 'Please enter JSON content...',
      placeholder_output: 'Formatted result will be displayed here...',
      format: 'Format',
      compress: 'Compress',
      validate: 'Validate',
      clear: 'Clear',
      copy: 'Copy Result',
      example: 'Load Example',
      json_valid: 'JSON is valid',
      json_invalid: 'JSON is invalid',
      large_json_processed: 'Large JSON file processed ({size}KB)',
      processing: 'Processing...',
      cancel: 'Cancel Processing'
    },
    timestamp_converter: {
      title: 'Timestamp Converter',
      description: 'Timestamp and datetime conversion tool',
      current_timestamp: 'Current Timestamp',
      timestamp_to_date: 'Timestamp to Date',
      date_to_timestamp: 'Date to Timestamp',
      timestamp_placeholder: 'Please enter timestamp...',
      date_placeholder: 'Select date time...',
      convert: 'Convert',
      copy_timestamp: 'Copy Timestamp',
      copy_date: 'Copy Date'
    },
    encoding_converter: {
      title: 'Encoding Converter',
      description: 'Base64, URL encoding, Unicode and other encoding conversion tools',
      input_placeholder: 'Please enter content to encode/decode...',
      output_placeholder: 'Conversion result will be displayed here...',
      base64_encode: 'Base64 Encode',
      base64_decode: 'Base64 Decode',
      url_encode: 'URL Encode',
      url_decode: 'URL Decode',
      unicode_encode: 'Unicode Encode',
      unicode_decode: 'Unicode Decode'
    },
    chrome_bookmark_recovery: {
      title: 'Chrome Bookmark Recovery',
      description: 'Chrome browser bookmark file recovery tool',
      upload_file: 'Upload Bookmark File',
      file_analysis: 'File Analysis',
      bookmark_list: 'Bookmark List',
      export_bookmarks: 'Export Bookmarks',
      recovery_success: 'Recovery Successful',
      file_format_error: 'File Format Error',
      instructions: {
        windows: {
          title: 'Windows System Instructions',
          steps: [
            'Copy C:\\Users\\%username%\\AppData\\Local\\Google\\Chrome\\User Data into File Explorer',
            'In search bar, type Bookmarks, you will see a list of files named Bookmarks and/or Bookmarks.bak',
            'Note: If there is more than one user using the same Chrome, bookmarks from other users will be listed too',
            'Select all the files with mouse and drag them to the upload area below',
            'Download all the converted HTML files',
            'Open each HTML file with Chrome and determine the HTML file that contains your bookmarks (Note: The largest file is most likely the correct one)',
            'In your Chrome browser, click the Chrome menu icon and go to Bookmarks > Bookmark Manager',
            'Click the menu icon beside search bar and click "Import Bookmarks"',
            'Select the HTML file that contains your bookmarks',
            'Your bookmarks should now be imported back to Chrome'
          ]
        }
      }
    },
    ip_lookup: {
      title: 'IP Lookup',
      description: 'IP address geolocation query and type analysis tool',
      ip_address: 'IP Address',
      lookup: 'Lookup',
      query: 'Query',
      get_my_ip: 'Get My IP',
      clear: 'Clear',
      ip_input: 'IP Input',
      placeholder: 'Please enter IP address...',
      common_ips: 'Common IPs',
      querying: 'Querying...',
      ip_info: 'IP Information',
      location: 'Location',
      isp: 'ISP',
      organization: 'Organization',
      country: 'Country',
      region: 'Region',
      city: 'City',
      timezone: 'Timezone',
      coordinates: 'Coordinates',
      ip_type: 'IP Type',
      public_ip: 'Public IP',
      private_ip: 'Private IP',
      current_ip: 'Current IP',
      ip_analysis: 'IP Analysis',
      format: 'Format',
      access_type: 'Access Type',
      class: 'IP Class'
    },
    seal_generator: {
      title: 'Seal Generator',
      description: 'Electronic seal creation tool, supports company and personal seals',
      basic_settings: 'Basic Settings',
      text_settings: 'Text Settings',
      border_settings: 'Border Settings',
      seal_type: 'Seal Type',
      company_round: 'Company Round Seal',
      company_oval: 'Company Oval Seal',
      personal_square: 'Personal Square Seal',
      personal_round: 'Personal Round Seal',
      seal_size: 'Seal Size',
      seal_color: 'Seal Color',
      background_color: 'Background Color',
      main_text: 'Main Text',
      center_text: 'Center Text',
      header_text: 'Header Text',
      sub_text: 'Sub Text',
      font_size: 'Font Size',
      main_font_size: 'Main Font Size',
      center_font_size: 'Center Font Size',
      outer_border_width: 'Outer Border Width',
      inner_border_width: 'Inner Border Width',
      show_star: 'Show Star',
      generate_seal: 'Generate Seal',
      download_seal: 'Download Seal',
      clear_all: 'Clear All',
      seal_preview: 'Seal Preview',
      company_name_placeholder: 'Company Name',
      personal_name_placeholder: 'Name',
      center_text_placeholder: 'Seal',
      header_text_placeholder: 'e.g., Head Office, Branch',
      sub_text_placeholder: 'e.g., Co., Ltd., Corp.',
      preview_tip: 'Please fill in seal information and click generate',
      usage_instructions: 'Usage Instructions',
      company_seal_features: 'Company Seal Features',
      personal_seal_features: 'Personal Seal Features',
      important_notice: 'Important Notice',
      legal_notice: 'The seals generated by this tool are for learning and testing purposes only. Do not use for illegal purposes. Official company seals need to be registered with relevant authorities.'
    },
    text_counter: {
      title: 'Text Counter',
      description: 'Word count, character count, line count and other text analysis tools',
      clear: 'Clear',
      paste: 'Paste',
      sample: 'Sample',
      text_input: 'Text Input',
      placeholder: 'Please enter or paste text to analyze...',
      basic_stats: 'Basic Statistics',
      characters: 'Characters',
      characters_no_spaces: 'Characters (No Spaces)',
      words: 'Words',
      lines: 'Lines',
      paragraphs: 'Paragraphs',
      sentences: 'Sentences',
      character_types: 'Character Types',
      letters: 'Letters',
      numbers: 'Numbers',
      spaces: 'Spaces',
      punctuation: 'Punctuation',
      reading_time: 'Reading Time',
      slow_reading: 'Slow Reading',
      normal_reading: 'Normal Reading',
      fast_reading: 'Fast Reading',
      top_words: 'Top Words',
      character_count: 'Character Count',
      word_count: 'Word Count',
      line_count: 'Line Count',
      paragraph_count: 'Paragraph Count',
      sentence_count: 'Sentence Count',
      reading_speed: 'Reading Speed',
      fast: 'Fast',
      normal: 'Normal',
      slow: 'Slow',
      most_used_words: 'Most Used Words'
    },
    image_compressor: {
      title: 'Image Compressor',
      description: 'Image compression and quality adjustment tool',
      compress: 'Compress',
      download: 'Download',
      reset: 'Reset',
      upload_image: 'Upload Image',
      click_or_drag: 'Click or drag to upload image',
      compression_settings: 'Compression Settings',
      quality: 'Quality',
      max_width: 'Max Width',
      max_height: 'Max Height',
      keep_aspect_ratio: 'Keep Aspect Ratio',
      output_format: 'Output Format',
      original_info: 'Original Info',
      size: 'File Size',
      dimensions: 'Dimensions',
      format: 'Format',
      original_preview: 'Original Preview',
      compressed_preview: 'Compressed Preview',
      compressed_size: 'Compressed Size',
      compression_ratio: 'Compression Ratio',
      size_reduction: 'Size Reduction',
      compressing: 'Compressing...',
      width: 'Width',
      height: 'Height',
      original_size: 'Original Size',
      maintain_aspect_ratio: 'Maintain Aspect Ratio',
      download_result: 'Download Result'
    },
    qrcode_generator: {
      title: 'QR Code Generator',
      description: 'Text to QR code generation tool with customizable styles',
      generate: 'Generate',
      download: 'Download',
      clear: 'Clear',
      text_input: 'Text Input',
      placeholder: 'Please enter content to generate QR code...',
      settings: 'Settings',
      size: 'Size',
      qr_size: 'QR Code Size',
      error_level: 'Error Level',
      foreground_color: 'Foreground Color',
      background_color: 'Background Color',
      preview: 'Preview',
      qr_code: 'QR Code',
      generating: 'Generating...',
      no_preview: 'Please enter content and generate QR code',
      download_qr: 'Download QR Code',
      qr_preview: 'QR Code Preview'
    },
    code_formatter: {
      title: 'Code Formatter',
      description: 'Code beautification, formatting and minification tool',
      format: 'Format',
      minify: 'Minify',
      copy: 'Copy',
      clear: 'Clear',
      language: 'Language',
      indent_size: 'Indent Size',
      line_width: 'Line Width',
      input: 'Input',
      output: 'Output',
      output_placeholder: 'Formatted result will be displayed here...',
      copy_result: 'Copy Result',
      clear_all: 'Clear All',
      input_placeholder: 'Please enter code...',
      line_count: 'Line Count',
      char_count: 'Character Count'
    },
    base64_to_image: {
      title: 'Base64 to Image',
      description: 'Base64 and image bidirectional conversion tool',
      base64_to_image: 'Base64 to Image',
      download_image: 'Download Image',
      clear: 'Clear',
      base64_input: 'Base64 Input',
      base64_placeholder: 'Please enter Base64 encoding...',
      image_to_base64: 'Image to Base64',
      click_or_drag: 'Click or drag to upload image',
      image_preview: 'Image Preview',
      preview_image: 'Preview Image',
      converting: 'Converting...',
      no_preview: 'Please enter Base64 or upload image',
      base64_output: 'Base64 Output',
      upload_image: 'Upload Image',
      image_info: 'Image Info',
      copy_base64: 'Copy Base64'
    },
    yml_properties_converter: {
      title: 'YML/Properties Converter',
      description: 'YML and Properties configuration file format converter',
      yml_to_properties: 'YML to Properties',
      properties_to_yml: 'Properties to YML',
      yml_to_json: 'YML to JSON',
      json_to_yml: 'JSON to YML',
      clear: 'Clear',
      input: 'Input',
      output: 'Output',
      paste: 'Paste',
      copy: 'Copy',
      input_format: 'Input Format',
      output_format: 'Output Format',
      input_placeholder_yml: 'Enter YAML content...',
      input_placeholder_properties: 'Enter Properties content...',
      input_placeholder_json: 'Enter JSON content...',
      output_placeholder: 'Conversion result will be displayed here...',
      use_example: 'Use This Example',
      format_description: 'Format Description',
      yml_example: 'YAML Example',
      properties_example: 'Properties Example',
      json_example: 'JSON Example',
      convert: 'Convert',
      conversion_result: 'Conversion Result'
    }
  }
} 